All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
norm_frobenius.hpp File Reference

Generic interface for the Frobenius norm. More...

`#include <cmath>`
`#include "viennacl/forwards.h"`
`#include "viennacl/tools/tools.hpp"`
`#include "viennacl/meta/enable_if.hpp"`
`#include "viennacl/meta/tag_of.hpp"`

Go to the source code of this file.

## Namespaces

| viennacl
| Main namespace in ViennaCL. Holds all the basic types such as vector, matrix, etc. and defines operations upon them.
| viennacl::linalg
| Provides all linear algebra operations which are not covered by operator overloads.

## Functions

template<typename NumericT >
scalar_expression< const matrix_base< NumericT >, const matrix_base< NumericT > , op_norm_frobenius > | viennacl::linalg::norm_frobenius (const matrix_base< NumericT > &A)

## Detailed Description

Generic interface for the Frobenius norm.

Definition in file norm_frobenius.hpp.